@import "./colors";
@import "./media";
$robotoRegular : 'Roboto-Regular';
$robotoBold : 'Roboto-Bold';
$robotoLight : 'Roboto-Light';
$robotoMedium : 'Roboto-Medium';
$robotoCondensedLight : 'RobotoCondensed-Light';
$robotoCondensedRegular : 'RobotoCondensed-Regular';

.RobotoBold{
    font-family: $robotoBold;
}
.RobotoRegular{
    font-family: $robotoRegular;
}
.RobotoMedium{
    font-family: $robotoMedium;
}
.RobotoLight{
    font-family: $robotoLight;
}
.RobotoCondensedLight{
    font-family: $robotoCondensedLight;
}
.RobotoCondensedRegular{
    font-family: $robotoCondensedRegular;
}

$f48 : 48px;
$f40 : 40px;
$f36 : 36px;
$f32 : 32px;
$f28 : 28px;
$f24 : 24px;
$f20 : 20px;
$f16 : 16px;
$f14 : 14px;

.h1, h1{
    font-size: $f48;

    @include mobile{
        font-size: $f40;
    }
}
.h2, h2{
    font-size: $f40;

    @include mobile{
        font-size: $f36;
    }
}
.h3, h3{
    font-size: $f36;

    @include mobile{
        font-size: $f32;
    }
}
.h4, h4{
    font-size: $f32;

    @include mobile{
        font-size: $f24;
    }
}
.h5, h5{
    font-size: $f24;

    @include mobile{
        font-size: $f20;
    }
}
.h6, h6{
    font-size: $f20;
}
.subTitle14{
    font-size: $f14;
}
@font-face {
    font-family: 'Roboto-Bold';
    src: url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/Roboto-Bold.woff2') format('woff2'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/fonts/Roboto-Bold.woff') format('woff'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/Roboto-Bold.ttf') format('truetype'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/Roboto-Bold.eot?#iefix') format('embedded-opentype'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/Roboto-Bold.svg#Roboto-Bold') format('svg');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto-Light';
    src: url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/Roboto-Light.woff2') format('woff2'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/Roboto-Light.woff') format('woff'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/Roboto-Light.ttf') format('truetype'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/Roboto-Light.eot?#iefix') format('embedded-opentype'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/Roboto-Light.svg#Roboto-Light') format('svg');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto-Regular';
    src: url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/Roboto-Regular.woff2') format('woff2'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/Roboto-Regular.woff') format('woff'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/Roboto-Regular.ttf') format('truetype'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/Roboto-Regular.eot?#iefix') format('embedded-opentype'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/Roboto-Regular.svg#Roboto-Regular') format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Roboto-Medium';
    src: url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/Roboto-Medium.woff2') format('woff2'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/Roboto-Medium.woff') format('woff'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/Roboto-Medium.ttf') format('truetype'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/Roboto-Medium.eot?#iefix') format('embedded-opentype'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/Roboto-Medium.svg#Roboto-Medium') format('svg');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'RobotoCondensed-Light';
    src: url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/RobotoCondensed-Light.woff2') format('woff2'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/RobotoCondensed-Light.woff') format('woff'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/RobotoCondensed-Light.ttf') format('truetype'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/RobotoCondensed-Light.eot?#iefix') format('embedded-opentype'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/RobotoCondensed-Light.svg#RobotoCondensed-Light') format('svg');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'RobotoCondensed-Regular';
    src: url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/RobotoCondensed-Regular.eot');
    src: url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/RobotoCondensed-Regular.eot?#iefix') format('embedded-opentype'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/RobotoCondensed-Regular.woff2') format('woff2'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/RobotoCondensed-Regular.woff') format('woff'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/RobotoCondensed-Regular.ttf') format('truetype'),
        url('/content/dam/grasimsbirlaopusconsumerwebsite/common/fonts/RobotoCondensed-Regular.svg#RobotoCondensed-Regular') format('svg');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}
